Skip to Content

List all custom fields

You're viewing API version 2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.
GET
/api/v1/custom-fields

Retrieve a paginated list of custom field definitions.

Custom fields allow you to add additional structured data to documents or contacts.

Query Parameters:

  • page - Page number
  • perPage - Items per page
  • type - Filter by type (DOCUMENT or CONTACT)

Authorization

headerAuthorizationBearer <token>

Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.

Query Parameters

Header Parameters

authorization*string

Bearer token for API authentication

Response Body

200

application/json
  1. response
customFields*array<>
totalPages*number
Example Request
curl -X GET 'https://app.sajn.se/api/v1/custom-fields?page=1&perPage=10' \  -H 'authorization: string'
Example Response
{  "customFields": [    {      "id": "string",      "name": "string",      "type": "DOCUMENT",      "inputType": "TEXT",      "defaultValue": "string",      "required": true,      "options": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "totalPages": 0}

Was this page helpful?